package com.usky.system.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.system.domain.SysMenu;
import com.usky.system.domain.SysMobileMenu;
import com.usky.system.domain.SysUser;
import com.usky.system.service.SysMobileMenuService;
import com.usky.system.service.impl.SysMenuServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 移动端_菜单权限表 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-08-11
 */
@RestController
@RequestMapping("/sysMobileMenu")
public class SysMobileMenuController {

    @Autowired
    private SysMobileMenuService sysMobileMenuService;

    @GetMapping("getRouters")
    public ApiResult getRouters()
    {
        List<SysMobileMenu> menus = sysMobileMenuService.moveRoute();
        return ApiResult.success(menus);
    }

}

